Generation Framework

## org.eclipse.gmf.tooldef
Interface GMFToolPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  GMFToolPackageImpl

public interface GMFToolPackage
extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GMFToolFactory`
** Generated **
Model:
  kind="package"

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ABSTRACT_TOOL` The meta object id for the '`Abstract Tool`' class
`static int` `ABSTRACT_TOOL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `ABSTRACT_TOOL__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `ABSTRACT_TOOL__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `ABSTRACT_TOOL__TITLE` The feature id for the 'Title' attribute
`static int` `ABSTRACT_TOOL_FEATURE_COUNT` The number of structural features of the 'Abstract Tool' class
`static int` `ACTION_KIND` The meta object id for the '`Action Kind`' enum
`static int` `APPEARANCE_STYLE` The meta object id for the '`Appearance Style`' enum
`static int` `BUNDLE_IMAGE` The meta object id for the '`Bundle Image`' class
`static int` `BUNDLE_IMAGE__BUNDLE` The feature id for the 'Bundle' attribute
`static int` `BUNDLE_IMAGE__PATH` The feature id for the 'Path' attribute
`static int` `BUNDLE_IMAGE_FEATURE_COUNT` The number of structural features of the 'Bundle Image' class
`static int` `CONTEXT_MENU` The meta object id for the '`Context Menu`' class
`static int` `CONTEXT_MENU__DEFAULT` The feature id for the 'Default' reference
`static int` `CONTEXT_MENU__ITEMS` The feature id for the 'Items' containment reference list
`static int` `CONTEXT_MENU_FEATURE_COUNT` The number of structural features of the 'Context Menu' class
`static int` `CONTRIBUTION_ITEM` The meta object id for the '`Contribution Item`' class
`static int` `CONTRIBUTION_ITEM__ICON` The feature id for the 'Icon' containment reference
`static int` `CONTRIBUTION_ITEM__TITLE` The feature id for the 'Title' attribute
`static int` `CONTRIBUTION_ITEM_FEATURE_COUNT` The number of structural features of the 'Contribution Item' class
`static int` `CREATION_TOOL` The meta object id for the '`Creation Tool`' class
`static int` `CREATION_TOOL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `CREATION_TOOL__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `CREATION_TOOL__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `CREATION_TOOL__TITLE` The feature id for the 'Title' attribute
`static int` `CREATION_TOOL_FEATURE_COUNT` The number of structural features of the 'Creation Tool' class
`static int` `DEFAULT_IMAGE` The meta object id for the '`Default Image`' class
`static int` `DEFAULT_IMAGE_FEATURE_COUNT` The number of structural features of the 'Default Image' class
`static GMFToolPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `GENERIC_STYLE_SELECTOR` The meta object id for the '`Generic Style Selector`' class
`static int` `GENERIC_STYLE_SELECTOR__VALUES` The feature id for the 'Values' attribute list
`static int` `GENERIC_STYLE_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Generic Style Selector' class
`static int` `GENERIC_TOOL` The meta object id for the '`Generic Tool`' class
`static int` `GENERIC_TOOL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `GENERIC_TOOL__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `GENERIC_TOOL__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `GENERIC_TOOL__TITLE` The feature id for the 'Title' attribute
`static int` `GENERIC_TOOL__TOOL_CLASS` The feature id for the 'Tool Class' attribute
`static int` `GENERIC_TOOL_FEATURE_COUNT` The number of structural features of the 'Generic Tool' class
`static int` `IMAGE` The meta object id for the '`Image`' class
`static int` `IMAGE_FEATURE_COUNT` The number of structural features of the 'Image' class
`static int` `ITEM_BASE` The meta object id for the '`Item Base`' class
`static int` `ITEM_BASE_FEATURE_COUNT` The number of structural features of the 'Item Base' class
`static int` `ITEM_REF` The meta object id for the '`Item Ref`' class
`static int` `ITEM_REF__ITEM` The feature id for the 'Item' reference
`static int` `ITEM_REF_FEATURE_COUNT` The number of structural features of the 'Item Ref' class
`static int` `MAIN_MENU` The meta object id for the '`Main Menu`' class
`static int` `MAIN_MENU__ITEMS` The feature id for the 'Items' containment reference list
`static int` `MAIN_MENU__TITLE` The feature id for the 'Title' attribute
`static int` `MAIN_MENU_FEATURE_COUNT` The number of structural features of the 'Main Menu' class
`static int` `MENU` The meta object id for the '`Menu`' class
`static int` `MENU__ITEMS` The feature id for the 'Items' containment reference list
`static int` `MENU_ACTION` The meta object id for the '`Menu Action`' class
`static int` `MENU_ACTION__HOT_KEY` The feature id for the 'Hot Key' attribute
`static int` `MENU_ACTION__ICON` The feature id for the 'Icon' containment reference
`static int` `MENU_ACTION__KIND` The feature id for the 'Kind' attribute
`static int` `MENU_ACTION__TITLE` The feature id for the 'Title' attribute
`static int` `MENU_ACTION_FEATURE_COUNT` The number of structural features of the 'Menu Action' class
`static int` `MENU_FEATURE_COUNT` The number of structural features of the 'Menu' class
`static int` `PALETTE` The meta object id for the '`Palette`' class
`static int` `PALETTE__DEFAULT` The feature id for the 'Default' reference
`static int` `PALETTE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `PALETTE__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `PALETTE__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `PALETTE__TITLE` The feature id for the 'Title' attribute
`static int` `PALETTE__TOOLS` The feature id for the 'Tools' containment reference list
`static int` `PALETTE_FEATURE_COUNT` The number of structural features of the 'Palette' class
`static int` `PALETTE_SEPARATOR` The meta object id for the '`Palette Separator`' class
`static int` `PALETTE_SEPARATOR__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `PALETTE_SEPARATOR__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `PALETTE_SEPARATOR__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `PALETTE_SEPARATOR__TITLE` The feature id for the 'Title' attribute
`static int` `PALETTE_SEPARATOR_FEATURE_COUNT` The number of structural features of the 'Palette Separator' class
`static int` `POPUP_MENU` The meta object id for the '`Popup Menu`' class
`static int` `POPUP_MENU__ICON` The feature id for the 'Icon' containment reference
`static int` `POPUP_MENU__ID` The feature id for the 'ID' attribute
`static int` `POPUP_MENU__ITEMS` The feature id for the 'Items' containment reference list
`static int` `POPUP_MENU__TITLE` The feature id for the 'Title' attribute
`static int` `POPUP_MENU_FEATURE_COUNT` The number of structural features of the 'Popup Menu' class
`static int` `PREDEFINED_ITEM` The meta object id for the '`Predefined Item`' class
`static int` `PREDEFINED_ITEM__IDENTIFIER` The feature id for the 'Identifier' attribute
`static int` `PREDEFINED_ITEM_FEATURE_COUNT` The number of structural features of the 'Predefined Item' class
`static int` `PREDEFINED_MENU` The meta object id for the '`Predefined Menu`' class
`static int` `PREDEFINED_MENU__IDENTIFIER` The feature id for the 'Identifier' attribute
`static int` `PREDEFINED_MENU__ITEMS` The feature id for the 'Items' containment reference list
`static int` `PREDEFINED_MENU_FEATURE_COUNT` The number of structural features of the 'Predefined Menu' class
`static int` `SEPARATOR` The meta object id for the '`Separator`' class
`static int` `SEPARATOR__NAME` The feature id for the 'Name' attribute
`static int` `SEPARATOR_FEATURE_COUNT` The number of structural features of the 'Separator' class
`static int` `STANDARD_TOOL` The meta object id for the '`Standard Tool`' class
`static int` `STANDARD_TOOL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `STANDARD_TOOL__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `STANDARD_TOOL__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `STANDARD_TOOL__TITLE` The feature id for the 'Title' attribute
`static int` `STANDARD_TOOL__TOOL_KIND` The feature id for the 'Tool Kind' attribute
`static int` `STANDARD_TOOL_FEATURE_COUNT` The number of structural features of the 'Standard Tool' class
`static int` `STANDARD_TOOL_KIND` The meta object id for the '`Standard Tool Kind`' enum
`static int` `STYLE_SELECTOR` The meta object id for the '`Style Selector`' class
`static int` `STYLE_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Style Selector' class
`static int` `TOOL_CONTAINER` The meta object id for the '`Tool Container`' class
`static int` `TOOL_CONTAINER__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `TOOL_CONTAINER__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `TOOL_CONTAINER__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `TOOL_CONTAINER__TITLE` The feature id for the 'Title' attribute
`static int` `TOOL_CONTAINER__TOOLS` The feature id for the 'Tools' containment reference list
`static int` `TOOL_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Tool Container' class
`static int` `TOOL_GROUP` The meta object id for the '`Tool Group`' class
`static int` `TOOL_GROUP__ACTIVE` The feature id for the 'Active' reference
`static int` `TOOL_GROUP__COLLAPSIBLE` The feature id for the 'Collapsible' attribute
`static int` `TOOL_GROUP__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `TOOL_GROUP__LARGE_ICON` The feature id for the 'Large Icon' containment reference
`static int` `TOOL_GROUP__SMALL_ICON` The feature id for the 'Small Icon' containment reference
`static int` `TOOL_GROUP__TITLE` The feature id for the 'Title' attribute
`static int` `TOOL_GROUP__TOOLS` The feature id for the 'Tools' containment reference list
`static int` `TOOL_GROUP_FEATURE_COUNT` The number of structural features of the 'Tool Group' class
`static int` `TOOL_REGISTRY` The meta object id for the '`Tool Registry`' class
`static int` `TOOL_REGISTRY__ALL_MENUS` The feature id for the 'All Menus' containment reference list
`static int` `TOOL_REGISTRY__PALETTE` The feature id for the 'Palette' containment reference
`static int` `TOOL_REGISTRY__SHARED_ACTIONS` The feature id for the 'Shared Actions' containment reference list
`static int` `TOOL_REGISTRY_FEATURE_COUNT` The number of structural features of the 'Tool Registry' class
`static int` `TOOLBAR` The meta object id for the '`Toolbar`' class
`static int` `TOOLBAR__ITEMS` The feature id for the 'Items' containment reference list
`static int` `TOOLBAR_FEATURE_COUNT` The number of structural features of the 'Toolbar' class

Method Summary
`EAttribute` `getAbstractTool_Description()` Returns the meta object for the attribute '`Description`'
`EReference` `getAbstractTool_LargeIcon()` Returns the meta object for the containment reference '`Large Icon`'
`EReference` `getAbstractTool_SmallIcon()` Returns the meta object for the containment reference '`Small Icon`'
`EAttribute` `getAbstractTool_Title()` Returns the meta object for the attribute '`Title`'
`EClass` `getAbstractTool()` Returns the meta object for class '`Abstract Tool`'
`EEnum` `getActionKind()` Returns the meta object for enum '`Action Kind`'
`EEnum` `getAppearanceStyle()` Returns the meta object for enum '`Appearance Style`'
`EAttribute` `getBundleImage_Bundle()` Returns the meta object for the attribute '`Bundle`'
`EAttribute` `getBundleImage_Path()` Returns the meta object for the attribute '`Path`'
`EClass` `getBundleImage()` Returns the meta object for class '`Bundle Image`'
`EReference` `getContextMenu_Default()` Returns the meta object for the reference '`Default`'
`EClass` `getContextMenu()` Returns the meta object for class '`Context Menu`'
`EReference` `getContributionItem_Icon()` Returns the meta object for the containment reference '`Icon`'
`EAttribute` `getContributionItem_Title()` Returns the meta object for the attribute '`Title`'
`EClass` `getContributionItem()` Returns the meta object for class '`Contribution Item`'
`EClass` `getCreationTool()` Returns the meta object for class '`Creation Tool`'
`EClass` `getDefaultImage()` Returns the meta object for class '`Default Image`'
`EAttribute` `getGenericStyleSelector_Values()` Returns the meta object for the attribute list '`Values`'
`EClass` `getGenericStyleSelector()` Returns the meta object for class '`Generic Style Selector`'
`EAttribute` `getGenericTool_ToolClass()` Returns the meta object for the attribute '`Tool Class`'
`EClass` `getGenericTool()` Returns the meta object for class '`Generic Tool`'
`GMFToolFactory` `getGMFToolFactory()` Returns the factory that creates the instances of the model
`EClass` `getImage()` Returns the meta object for class '`Image`'
`EClass` `getItemBase()` Returns the meta object for class '`Item Base`'
`EReference` `getItemRef_Item()` Returns the meta object for the reference '`Item`'
`EClass` `getItemRef()` Returns the meta object for class '`Item Ref`'
`EAttribute` `getMainMenu_Title()` Returns the meta object for the attribute '`Title`'
`EClass` `getMainMenu()` Returns the meta object for class '`Main Menu`'
`EReference` `getMenu_Items()` Returns the meta object for the containment reference list '`Items`'
`EClass` `getMenu()` Returns the meta object for class '`Menu`'
`EAttribute` `getMenuAction_HotKey()` Returns the meta object for the attribute '`Hot Key`'
`EAttribute` `getMenuAction_Kind()` Returns the meta object for the attribute '`Kind`'
`EClass` `getMenuAction()` Returns the meta object for class '`Menu Action`'
`EReference` `getPalette_Default()` Returns the meta object for the reference '`Default`'
`EClass` `getPalette()` Returns the meta object for class '`Palette`'
`EClass` `getPaletteSeparator()` Returns the meta object for class '`Palette Separator`'
`EAttribute` `getPopupMenu_ID()` Returns the meta object for the attribute '`ID`'
`EClass` `getPopupMenu()` Returns the meta object for class '`Popup Menu`'
`EAttribute` `getPredefinedItem_Identifier()` Returns the meta object for the attribute '`Identifier`'
`EClass` `getPredefinedItem()` Returns the meta object for class '`Predefined Item`'
`EClass` `getPredefinedMenu()` Returns the meta object for class '`Predefined Menu`'
`EAttribute` `getSeparator_Name()` Returns the meta object for the attribute '`Name`'
`EClass` `getSeparator()` Returns the meta object for class '`Separator`'
`EAttribute` `getStandardTool_ToolKind()` Returns the meta object for the attribute '`Tool Kind`'
`EClass` `getStandardTool()` Returns the meta object for class '`Standard Tool`'
`EEnum` `getStandardToolKind()` Returns the meta object for enum '`Standard Tool Kind`'
`EClass` `getStyleSelector()` Returns the meta object for class '`Style Selector`'
`EClass` `getToolbar()` Returns the meta object for class '`Toolbar`'
`EReference` `getToolContainer_Tools()` Returns the meta object for the containment reference list '`Tools`'
`EClass` `getToolContainer()` Returns the meta object for class '`Tool Container`'
`EReference` `getToolGroup_Active()` Returns the meta object for the reference '`Active`'
`EAttribute` `getToolGroup_Collapsible()` Returns the meta object for the attribute '`Collapsible`'
`EClass` `getToolGroup()` Returns the meta object for class '`Tool Group`'
`EReference` `getToolRegistry_AllMenus()` Returns the meta object for the containment reference list '`All Menus`'
`EReference` `getToolRegistry_Palette()` Returns the meta object for the containment reference '`Palette`'
`EReference` `getToolRegistry_SharedActions()` Returns the meta object for the containment reference list '`Shared Actions`'
`EClass` `getToolRegistry()` Returns the meta object for class '`Tool Registry`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    public static final GMFToolPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### TOOL_REGISTRY

    public static final int TOOL_REGISTRY

  The meta object id for the '`Tool Registry`' class.

  See Also:
    `ToolRegistryImpl`, `GMFToolPackageImpl.getToolRegistry()`, Constant Field Values
  ** Generated **

### TOOL_REGISTRY__SHARED_ACTIONS

    public static final int TOOL_REGISTRY__SHARED_ACTIONS

  The feature id for the 'Shared Actions' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_REGISTRY__ALL_MENUS

    public static final int TOOL_REGISTRY__ALL_MENUS

  The feature id for the 'All Menus' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_REGISTRY__PALETTE

    public static final int TOOL_REGISTRY__PALETTE

  The feature id for the 'Palette' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_REGISTRY_FEATURE_COUNT

    public static final int TOOL_REGISTRY_FEATURE_COUNT

  The number of structural features of the 'Tool Registry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_TOOL

    public static final int ABSTRACT_TOOL

  The meta object id for the '`Abstract Tool`' class.

  See Also:
    `AbstractToolImpl`, `GMFToolPackageImpl.getAbstractTool()`, Constant Field Values
  ** Generated **

### ABSTRACT_TOOL__SMALL_ICON

    public static final int ABSTRACT_TOOL__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_TOOL__LARGE_ICON

    public static final int ABSTRACT_TOOL__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_TOOL__TITLE

    public static final int ABSTRACT_TOOL__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_TOOL__DESCRIPTION

    public static final int ABSTRACT_TOOL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ABSTRACT_TOOL_FEATURE_COUNT

    public static final int ABSTRACT_TOOL_FEATURE_COUNT

  The number of structural features of the 'Abstract Tool' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER

    public static final int TOOL_CONTAINER

  The meta object id for the '`Tool Container`' class.

  See Also:
    `ToolContainerImpl`, `GMFToolPackageImpl.getToolContainer()`, Constant Field Values
  ** Generated **

### TOOL_CONTAINER__SMALL_ICON

    public static final int TOOL_CONTAINER__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER__LARGE_ICON

    public static final int TOOL_CONTAINER__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER__TITLE

    public static final int TOOL_CONTAINER__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER__DESCRIPTION

    public static final int TOOL_CONTAINER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER__TOOLS

    public static final int TOOL_CONTAINER__TOOLS

  The feature id for the 'Tools' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_CONTAINER_FEATURE_COUNT

    public static final int TOOL_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Tool Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_SEPARATOR

    public static final int PALETTE_SEPARATOR

  The meta object id for the '`Palette Separator`' class.

  See Also:
    `PaletteSeparatorImpl`, `GMFToolPackageImpl.getPaletteSeparator()`, Constant Field Values
  ** Generated **

### PALETTE_SEPARATOR__SMALL_ICON

    public static final int PALETTE_SEPARATOR__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_SEPARATOR__LARGE_ICON

    public static final int PALETTE_SEPARATOR__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_SEPARATOR__TITLE

    public static final int PALETTE_SEPARATOR__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_SEPARATOR__DESCRIPTION

    public static final int PALETTE_SEPARATOR__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_SEPARATOR_FEATURE_COUNT

    public static final int PALETTE_SEPARATOR_FEATURE_COUNT

  The number of structural features of the 'Palette Separator' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP

    public static final int TOOL_GROUP

  The meta object id for the '`Tool Group`' class.

  See Also:
    `ToolGroupImpl`, `GMFToolPackageImpl.getToolGroup()`, Constant Field Values
  ** Generated **

### TOOL_GROUP__SMALL_ICON

    public static final int TOOL_GROUP__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__LARGE_ICON

    public static final int TOOL_GROUP__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__TITLE

    public static final int TOOL_GROUP__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__DESCRIPTION

    public static final int TOOL_GROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__TOOLS

    public static final int TOOL_GROUP__TOOLS

  The feature id for the 'Tools' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__COLLAPSIBLE

    public static final int TOOL_GROUP__COLLAPSIBLE

  The feature id for the 'Collapsible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__ACTIVE

    public static final int TOOL_GROUP__ACTIVE

  The feature id for the 'Active' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP_FEATURE_COUNT

    public static final int TOOL_GROUP_FEATURE_COUNT

  The number of structural features of the 'Tool Group' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE

    public static final int PALETTE

  The meta object id for the '`Palette`' class.

  See Also:
    `PaletteImpl`, `GMFToolPackageImpl.getPalette()`, Constant Field Values
  ** Generated **

### PALETTE__SMALL_ICON

    public static final int PALETTE__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__LARGE_ICON

    public static final int PALETTE__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__TITLE

    public static final int PALETTE__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__DESCRIPTION

    public static final int PALETTE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__TOOLS

    public static final int PALETTE__TOOLS

  The feature id for the 'Tools' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__DEFAULT

    public static final int PALETTE__DEFAULT

  The feature id for the 'Default' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_FEATURE_COUNT

    public static final int PALETTE_FEATURE_COUNT

  The number of structural features of the 'Palette' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL

    public static final int STANDARD_TOOL

  The meta object id for the '`Standard Tool`' class.

  See Also:
    `StandardToolImpl`, `GMFToolPackageImpl.getStandardTool()`, Constant Field Values
  ** Generated **

### STANDARD_TOOL__SMALL_ICON

    public static final int STANDARD_TOOL__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL__LARGE_ICON

    public static final int STANDARD_TOOL__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL__TITLE

    public static final int STANDARD_TOOL__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL__DESCRIPTION

    public static final int STANDARD_TOOL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL__TOOL_KIND

    public static final int STANDARD_TOOL__TOOL_KIND

  The feature id for the 'Tool Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL_FEATURE_COUNT

    public static final int STANDARD_TOOL_FEATURE_COUNT

  The number of structural features of the 'Standard Tool' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CREATION_TOOL

    public static final int CREATION_TOOL

  The meta object id for the '`Creation Tool`' class.

  See Also:
    `CreationToolImpl`, `GMFToolPackageImpl.getCreationTool()`, Constant Field Values
  ** Generated **

### CREATION_TOOL__SMALL_ICON

    public static final int CREATION_TOOL__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CREATION_TOOL__LARGE_ICON

    public static final int CREATION_TOOL__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CREATION_TOOL__TITLE

    public static final int CREATION_TOOL__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CREATION_TOOL__DESCRIPTION

    public static final int CREATION_TOOL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CREATION_TOOL_FEATURE_COUNT

    public static final int CREATION_TOOL_FEATURE_COUNT

  The number of structural features of the 'Creation Tool' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL

    public static final int GENERIC_TOOL

  The meta object id for the '`Generic Tool`' class.

  See Also:
    `GenericToolImpl`, `GMFToolPackageImpl.getGenericTool()`, Constant Field Values
  ** Generated **

### GENERIC_TOOL__SMALL_ICON

    public static final int GENERIC_TOOL__SMALL_ICON

  The feature id for the 'Small Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL__LARGE_ICON

    public static final int GENERIC_TOOL__LARGE_ICON

  The feature id for the 'Large Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL__TITLE

    public static final int GENERIC_TOOL__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL__DESCRIPTION

    public static final int GENERIC_TOOL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL__TOOL_CLASS

    public static final int GENERIC_TOOL__TOOL_CLASS

  The feature id for the 'Tool Class' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_TOOL_FEATURE_COUNT

    public static final int GENERIC_TOOL_FEATURE_COUNT

  The number of structural features of the 'Generic Tool' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ITEM_BASE

    public static final int ITEM_BASE

  The meta object id for the '`Item Base`' class.

  See Also:
    `ItemBase`, `GMFToolPackageImpl.getItemBase()`, Constant Field Values
  ** Generated **

### ITEM_BASE_FEATURE_COUNT

    public static final int ITEM_BASE_FEATURE_COUNT

  The number of structural features of the 'Item Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU

    public static final int MENU

  The meta object id for the '`Menu`' class.

  See Also:
    `MenuImpl`, `GMFToolPackageImpl.getMenu()`, Constant Field Values
  ** Generated **

### MENU__ITEMS

    public static final int MENU__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_FEATURE_COUNT

    public static final int MENU_FEATURE_COUNT

  The number of structural features of the 'Menu' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEPARATOR

    public static final int SEPARATOR

  The meta object id for the '`Separator`' class.

  See Also:
    `SeparatorImpl`, `GMFToolPackageImpl.getSeparator()`, Constant Field Values
  ** Generated **

### SEPARATOR__NAME

    public static final int SEPARATOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEPARATOR_FEATURE_COUNT

    public static final int SEPARATOR_FEATURE_COUNT

  The number of structural features of the 'Separator' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PREDEFINED_ITEM

    public static final int PREDEFINED_ITEM

  The meta object id for the '`Predefined Item`' class.

  See Also:
    `PredefinedItemImpl`, `GMFToolPackageImpl.getPredefinedItem()`, Constant Field Values
  ** Generated **

### PREDEFINED_ITEM__IDENTIFIER

    public static final int PREDEFINED_ITEM__IDENTIFIER

  The feature id for the 'Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PREDEFINED_ITEM_FEATURE_COUNT

    public static final int PREDEFINED_ITEM_FEATURE_COUNT

  The number of structural features of the 'Predefined Item' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PREDEFINED_MENU

    public static final int PREDEFINED_MENU

  The meta object id for the '`Predefined Menu`' class.

  See Also:
    `PredefinedMenuImpl`, `GMFToolPackageImpl.getPredefinedMenu()`, Constant Field Values
  ** Generated **

### PREDEFINED_MENU__ITEMS

    public static final int PREDEFINED_MENU__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PREDEFINED_MENU__IDENTIFIER

    public static final int PREDEFINED_MENU__IDENTIFIER

  The feature id for the 'Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PREDEFINED_MENU_FEATURE_COUNT

    public static final int PREDEFINED_MENU_FEATURE_COUNT

  The number of structural features of the 'Predefined Menu' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTRIBUTION_ITEM

    public static final int CONTRIBUTION_ITEM

  The meta object id for the '`Contribution Item`' class.

  See Also:
    `ContributionItem`, `GMFToolPackageImpl.getContributionItem()`, Constant Field Values
  ** Generated **

### CONTRIBUTION_ITEM__ICON

    public static final int CONTRIBUTION_ITEM__ICON

  The feature id for the 'Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTRIBUTION_ITEM__TITLE

    public static final int CONTRIBUTION_ITEM__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTRIBUTION_ITEM_FEATURE_COUNT

    public static final int CONTRIBUTION_ITEM_FEATURE_COUNT

  The number of structural features of the 'Contribution Item' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_ACTION

    public static final int MENU_ACTION

  The meta object id for the '`Menu Action`' class.

  See Also:
    `MenuActionImpl`, `GMFToolPackageImpl.getMenuAction()`, Constant Field Values
  ** Generated **

### MENU_ACTION__ICON

    public static final int MENU_ACTION__ICON

  The feature id for the 'Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_ACTION__TITLE

    public static final int MENU_ACTION__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_ACTION__KIND

    public static final int MENU_ACTION__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_ACTION__HOT_KEY

    public static final int MENU_ACTION__HOT_KEY

  The feature id for the 'Hot Key' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MENU_ACTION_FEATURE_COUNT

    public static final int MENU_ACTION_FEATURE_COUNT

  The number of structural features of the 'Menu Action' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ITEM_REF

    public static final int ITEM_REF

  The meta object id for the '`Item Ref`' class.

  See Also:
    `ItemRefImpl`, `GMFToolPackageImpl.getItemRef()`, Constant Field Values
  ** Generated **

### ITEM_REF__ITEM

    public static final int ITEM_REF__ITEM

  The feature id for the 'Item' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ITEM_REF_FEATURE_COUNT

    public static final int ITEM_REF_FEATURE_COUNT

  The number of structural features of the 'Item Ref' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTEXT_MENU

    public static final int CONTEXT_MENU

  The meta object id for the '`Context Menu`' class.

  See Also:
    `ContextMenuImpl`, `GMFToolPackageImpl.getContextMenu()`, Constant Field Values
  ** Generated **

### CONTEXT_MENU__ITEMS

    public static final int CONTEXT_MENU__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTEXT_MENU__DEFAULT

    public static final int CONTEXT_MENU__DEFAULT

  The feature id for the 'Default' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONTEXT_MENU_FEATURE_COUNT

    public static final int CONTEXT_MENU_FEATURE_COUNT

  The number of structural features of the 'Context Menu' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POPUP_MENU

    public static final int POPUP_MENU

  The meta object id for the '`Popup Menu`' class.

  See Also:
    `PopupMenuImpl`, `GMFToolPackageImpl.getPopupMenu()`, Constant Field Values
  ** Generated **

### POPUP_MENU__ITEMS

    public static final int POPUP_MENU__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POPUP_MENU__ICON

    public static final int POPUP_MENU__ICON

  The feature id for the 'Icon' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POPUP_MENU__TITLE

    public static final int POPUP_MENU__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POPUP_MENU__ID

    public static final int POPUP_MENU__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### POPUP_MENU_FEATURE_COUNT

    public static final int POPUP_MENU_FEATURE_COUNT

  The number of structural features of the 'Popup Menu' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAIN_MENU

    public static final int MAIN_MENU

  The meta object id for the '`Main Menu`' class.

  See Also:
    `MainMenuImpl`, `GMFToolPackageImpl.getMainMenu()`, Constant Field Values
  ** Generated **

### MAIN_MENU__ITEMS

    public static final int MAIN_MENU__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAIN_MENU__TITLE

    public static final int MAIN_MENU__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MAIN_MENU_FEATURE_COUNT

    public static final int MAIN_MENU_FEATURE_COUNT

  The number of structural features of the 'Main Menu' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOLBAR

    public static final int TOOLBAR

  The meta object id for the '`Toolbar`' class.

  See Also:
    `ToolbarImpl`, `GMFToolPackageImpl.getToolbar()`, Constant Field Values
  ** Generated **

### TOOLBAR__ITEMS

    public static final int TOOLBAR__ITEMS

  The feature id for the 'Items' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOLBAR_FEATURE_COUNT

    public static final int TOOLBAR_FEATURE_COUNT

  The number of structural features of the 'Toolbar' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE

    public static final int IMAGE

  The meta object id for the '`Image`' class.

  See Also:
    `Image`, `GMFToolPackageImpl.getImage()`, Constant Field Values
  ** Generated **

### IMAGE_FEATURE_COUNT

    public static final int IMAGE_FEATURE_COUNT

  The number of structural features of the 'Image' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_IMAGE

    public static final int DEFAULT_IMAGE

  The meta object id for the '`Default Image`' class.

  See Also:
    `DefaultImageImpl`, `GMFToolPackageImpl.getDefaultImage()`, Constant Field Values
  ** Generated **

### DEFAULT_IMAGE_FEATURE_COUNT

    public static final int DEFAULT_IMAGE_FEATURE_COUNT

  The number of structural features of the 'Default Image' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BUNDLE_IMAGE

    public static final int BUNDLE_IMAGE

  The meta object id for the '`Bundle Image`' class.

  See Also:
    `BundleImageImpl`, `GMFToolPackageImpl.getBundleImage()`, Constant Field Values
  ** Generated **

### BUNDLE_IMAGE__PATH

    public static final int BUNDLE_IMAGE__PATH

  The feature id for the 'Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BUNDLE_IMAGE__BUNDLE

    public static final int BUNDLE_IMAGE__BUNDLE

  The feature id for the 'Bundle' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BUNDLE_IMAGE_FEATURE_COUNT

    public static final int BUNDLE_IMAGE_FEATURE_COUNT

  The number of structural features of the 'Bundle Image' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE_SELECTOR

    public static final int STYLE_SELECTOR

  The meta object id for the '`Style Selector`' class.

  See Also:
    `StyleSelector`, `GMFToolPackageImpl.getStyleSelector()`, Constant Field Values
  ** Generated **

### STYLE_SELECTOR_FEATURE_COUNT

    public static final int STYLE_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Style Selector' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_STYLE_SELECTOR

    public static final int GENERIC_STYLE_SELECTOR

  The meta object id for the '`Generic Style Selector`' class.

  See Also:
    `GenericStyleSelectorImpl`, `GMFToolPackageImpl.getGenericStyleSelector()`, Constant Field Values
  ** Generated **

### GENERIC_STYLE_SELECTOR__VALUES

    public static final int GENERIC_STYLE_SELECTOR__VALUES

  The feature id for the 'Values' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GENERIC_STYLE_SELECTOR_FEATURE_COUNT

    public static final int GENERIC_STYLE_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Generic Style Selector' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_TOOL_KIND

    public static final int STANDARD_TOOL_KIND

  The meta object id for the '`Standard Tool Kind`' enum.

  See Also:
    `StandardToolKind`, `GMFToolPackageImpl.getStandardToolKind()`, Constant Field Values
  ** Generated **

### ACTION_KIND

    public static final int ACTION_KIND

  The meta object id for the '`Action Kind`' enum.

  See Also:
    `ActionKind`, `GMFToolPackageImpl.getActionKind()`, Constant Field Values
  ** Generated **

### APPEARANCE_STYLE

    public static final int APPEARANCE_STYLE

  The meta object id for the '`Appearance Style`' enum.

  See Also:
    `AppearanceStyle`, `GMFToolPackageImpl.getAppearanceStyle()`, Constant Field Values
  ** Generated **

Method Detail

### getToolRegistry

    public EClass getToolRegistry()

  Returns the meta object for class '`Tool Registry`'.

  Returns:
    the meta object for class 'Tool Registry'.
  See Also:
    `ToolRegistry`
  ** Generated **

### getToolRegistry_SharedActions

    public EReference getToolRegistry_SharedActions()

  Returns the meta object for the containment reference list '`Shared Actions`'.

  Returns:
    the meta object for the containment reference list 'Shared Actions'.
  See Also:
    `ToolRegistry.getSharedActions()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getToolRegistry_AllMenus

    public EReference getToolRegistry_AllMenus()

  Returns the meta object for the containment reference list '`All Menus`'.

  Returns:
    the meta object for the containment reference list 'All Menus'.
  See Also:
    `ToolRegistry.getAllMenus()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getToolRegistry_Palette

    public EReference getToolRegistry_Palette()

  Returns the meta object for the containment reference '`Palette`'.

  Returns:
    the meta object for the containment reference 'Palette'.
  See Also:
    `ToolRegistry.getPalette()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getAbstractTool

    public EClass getAbstractTool()

  Returns the meta object for class '`Abstract Tool`'.

  Returns:
    the meta object for class 'Abstract Tool'.
  See Also:
    `AbstractTool`
  ** Generated **

### getAbstractTool_SmallIcon

    public EReference getAbstractTool_SmallIcon()

  Returns the meta object for the containment reference '`Small Icon`'.

  Returns:
    the meta object for the containment reference 'Small Icon'.
  See Also:
    `AbstractTool.getSmallIcon()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_LargeIcon

    public EReference getAbstractTool_LargeIcon()

  Returns the meta object for the containment reference '`Large Icon`'.

  Returns:
    the meta object for the containment reference 'Large Icon'.
  See Also:
    `AbstractTool.getLargeIcon()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_Title

    public EAttribute getAbstractTool_Title()

  Returns the meta object for the attribute '`Title`'.

  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `AbstractTool.getTitle()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_Description

    public EAttribute getAbstractTool_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `AbstractTool.getDescription()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getToolContainer

    public EClass getToolContainer()

  Returns the meta object for class '`Tool Container`'.

  Returns:
    the meta object for class 'Tool Container'.
  See Also:
    `ToolContainer`
  ** Generated **

### getToolContainer_Tools

    public EReference getToolContainer_Tools()

  Returns the meta object for the containment reference list '`Tools`'.

  Returns:
    the meta object for the containment reference list 'Tools'.
  See Also:
    `ToolContainer.getTools()`, `GMFToolPackage.getToolContainer()`
  ** Generated **

### getPaletteSeparator

    public EClass getPaletteSeparator()

  Returns the meta object for class '`Palette Separator`'.

  Returns:
    the meta object for class 'Palette Separator'.
  See Also:
    `PaletteSeparator`
  ** Generated **

### getToolGroup

    public EClass getToolGroup()

  Returns the meta object for class '`Tool Group`'.

  Returns:
    the meta object for class 'Tool Group'.
  See Also:
    `ToolGroup`
  ** Generated **

### getToolGroup_Collapsible

    public EAttribute getToolGroup_Collapsible()

  Returns the meta object for the attribute '`Collapsible`'.

  Returns:
    the meta object for the attribute 'Collapsible'.
  See Also:
    `ToolGroup.isCollapsible()`, `GMFToolPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Active

    public EReference getToolGroup_Active()

  Returns the meta object for the reference '`Active`'.

  Returns:
    the meta object for the reference 'Active'.
  See Also:
    `ToolGroup.getActive()`, `GMFToolPackage.getToolGroup()`
  ** Generated **

### getPalette

    public EClass getPalette()

  Returns the meta object for class '`Palette`'.

  Returns:
    the meta object for class 'Palette'.
  See Also:
    `Palette`
  ** Generated **

### getPalette_Default

    public EReference getPalette_Default()

  Returns the meta object for the reference '`Default`'.

  Returns:
    the meta object for the reference 'Default'.
  See Also:
    `Palette.getDefault()`, `GMFToolPackage.getPalette()`
  ** Generated **

### getStandardTool

    public EClass getStandardTool()

  Returns the meta object for class '`Standard Tool`'.

  Returns:
    the meta object for class 'Standard Tool'.
  See Also:
    `StandardTool`
  ** Generated **

### getStandardTool_ToolKind

    public EAttribute getStandardTool_ToolKind()

  Returns the meta object for the attribute '`Tool Kind`'.

  Returns:
    the meta object for the attribute 'Tool Kind'.
  See Also:
    `StandardTool.getToolKind()`, `GMFToolPackage.getStandardTool()`
  ** Generated **

### getCreationTool

    public EClass getCreationTool()

  Returns the meta object for class '`Creation Tool`'.

  Returns:
    the meta object for class 'Creation Tool'.
  See Also:
    `CreationTool`
  ** Generated **

### getGenericTool

    public EClass getGenericTool()

  Returns the meta object for class '`Generic Tool`'.

  Returns:
    the meta object for class 'Generic Tool'.
  See Also:
    `GenericTool`
  ** Generated **

### getGenericTool_ToolClass

    public EAttribute getGenericTool_ToolClass()

  Returns the meta object for the attribute '`Tool Class`'.

  Returns:
    the meta object for the attribute 'Tool Class'.
  See Also:
    `GenericTool.getToolClass()`, `GMFToolPackage.getGenericTool()`
  ** Generated **

### getItemBase

    public EClass getItemBase()

  Returns the meta object for class '`Item Base`'.

  Returns:
    the meta object for class 'Item Base'.
  See Also:
    `ItemBase`
  ** Generated **

### getMenu

    public EClass getMenu()

  Returns the meta object for class '`Menu`'.

  Returns:
    the meta object for class 'Menu'.
  See Also:
    `Menu`
  ** Generated **

### getMenu_Items

    public EReference getMenu_Items()

  Returns the meta object for the containment reference list '`Items`'.

  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `Menu.getItems()`, `GMFToolPackage.getMenu()`
  ** Generated **

### getSeparator

    public EClass getSeparator()

  Returns the meta object for class '`Separator`'.

  Returns:
    the meta object for class 'Separator'.
  See Also:
    `Separator`
  ** Generated **

### getSeparator_Name

    public EAttribute getSeparator_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Separator.getName()`, `GMFToolPackage.getSeparator()`
  ** Generated **

### getPredefinedItem

    public EClass getPredefinedItem()

  Returns the meta object for class '`Predefined Item`'.

  Returns:
    the meta object for class 'Predefined Item'.
  See Also:
    `PredefinedItem`
  ** Generated **

### getPredefinedItem_Identifier

    public EAttribute getPredefinedItem_Identifier()

  Returns the meta object for the attribute '`Identifier`'.

  Returns:
    the meta object for the attribute 'Identifier'.
  See Also:
    `PredefinedItem.getIdentifier()`, `GMFToolPackage.getPredefinedItem()`
  ** Generated **

### getPredefinedMenu

    public EClass getPredefinedMenu()

  Returns the meta object for class '`Predefined Menu`'.

  Returns:
    the meta object for class 'Predefined Menu'.
  See Also:
    `PredefinedMenu`
  ** Generated **

### getContributionItem

    public EClass getContributionItem()

  Returns the meta object for class '`Contribution Item`'.

  Returns:
    the meta object for class 'Contribution Item'.
  See Also:
    `ContributionItem`
  ** Generated **

### getContributionItem_Icon

    public EReference getContributionItem_Icon()

  Returns the meta object for the containment reference '`Icon`'.

  Returns:
    the meta object for the containment reference 'Icon'.
  See Also:
    `ContributionItem.getIcon()`, `GMFToolPackage.getContributionItem()`
  ** Generated **

### getContributionItem_Title

    public EAttribute getContributionItem_Title()

  Returns the meta object for the attribute '`Title`'.

  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `ContributionItem.getTitle()`, `GMFToolPackage.getContributionItem()`
  ** Generated **

### getMenuAction

    public EClass getMenuAction()

  Returns the meta object for class '`Menu Action`'.

  Returns:
    the meta object for class 'Menu Action'.
  See Also:
    `MenuAction`
  ** Generated **

### getMenuAction_Kind

    public EAttribute getMenuAction_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `MenuAction.getKind()`, `GMFToolPackage.getMenuAction()`
  ** Generated **

### getMenuAction_HotKey

    public EAttribute getMenuAction_HotKey()

  Returns the meta object for the attribute '`Hot Key`'.

  Returns:
    the meta object for the attribute 'Hot Key'.
  See Also:
    `MenuAction.getHotKey()`, `GMFToolPackage.getMenuAction()`
  ** Generated **

### getItemRef

    public EClass getItemRef()

  Returns the meta object for class '`Item Ref`'.

  Returns:
    the meta object for class 'Item Ref'.
  See Also:
    `ItemRef`
  ** Generated **

### getItemRef_Item

    public EReference getItemRef_Item()

  Returns the meta object for the reference '`Item`'.

  Returns:
    the meta object for the reference 'Item'.
  See Also:
    `ItemRef.getItem()`, `GMFToolPackage.getItemRef()`
  ** Generated **

### getContextMenu

    public EClass getContextMenu()

  Returns the meta object for class '`Context Menu`'.

  Returns:
    the meta object for class 'Context Menu'.
  See Also:
    `ContextMenu`
  ** Generated **

### getContextMenu_Default

    public EReference getContextMenu_Default()

  Returns the meta object for the reference '`Default`'.

  Returns:
    the meta object for the reference 'Default'.
  See Also:
    `ContextMenu.getDefault()`, `GMFToolPackage.getContextMenu()`
  ** Generated **

### getPopupMenu

    public EClass getPopupMenu()

  Returns the meta object for class '`Popup Menu`'.

  Returns:
    the meta object for class 'Popup Menu'.
  See Also:
    `PopupMenu`
  ** Generated **

### getPopupMenu_ID

    public EAttribute getPopupMenu_ID()

  Returns the meta object for the attribute '`ID`'.

  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `PopupMenu.getID()`, `GMFToolPackage.getPopupMenu()`
  ** Generated **

### getMainMenu

    public EClass getMainMenu()

  Returns the meta object for class '`Main Menu`'.

  Returns:
    the meta object for class 'Main Menu'.
  See Also:
    `MainMenu`
  ** Generated **

### getMainMenu_Title

    public EAttribute getMainMenu_Title()

  Returns the meta object for the attribute '`Title`'.

  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `MainMenu.getTitle()`, `GMFToolPackage.getMainMenu()`
  ** Generated **

### getToolbar

    public EClass getToolbar()

  Returns the meta object for class '`Toolbar`'.

  Returns:
    the meta object for class 'Toolbar'.
  See Also:
    `Toolbar`
  ** Generated **

### getImage

    public EClass getImage()

  Returns the meta object for class '`Image`'.

  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getDefaultImage

    public EClass getDefaultImage()

  Returns the meta object for class '`Default Image`'.

  Returns:
    the meta object for class 'Default Image'.
  See Also:
    `DefaultImage`
  ** Generated **

### getBundleImage

    public EClass getBundleImage()

  Returns the meta object for class '`Bundle Image`'.

  Returns:
    the meta object for class 'Bundle Image'.
  See Also:
    `BundleImage`
  ** Generated **

### getBundleImage_Path

    public EAttribute getBundleImage_Path()

  Returns the meta object for the attribute '`Path`'.

  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `BundleImage.getPath()`, `GMFToolPackage.getBundleImage()`
  ** Generated **

### getBundleImage_Bundle

    public EAttribute getBundleImage_Bundle()

  Returns the meta object for the attribute '`Bundle`'.

  Returns:
    the meta object for the attribute 'Bundle'.
  See Also:
    `BundleImage.getBundle()`, `GMFToolPackage.getBundleImage()`
  ** Generated **

### getStyleSelector

    public EClass getStyleSelector()

  Returns the meta object for class '`Style Selector`'.

  Returns:
    the meta object for class 'Style Selector'.
  See Also:
    `StyleSelector`
  ** Generated **

### getGenericStyleSelector

    public EClass getGenericStyleSelector()

  Returns the meta object for class '`Generic Style Selector`'.

  Returns:
    the meta object for class 'Generic Style Selector'.
  See Also:
    `GenericStyleSelector`
  ** Generated **

### getGenericStyleSelector_Values

    public EAttribute getGenericStyleSelector_Values()

  Returns the meta object for the attribute list '`Values`'.

  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `GenericStyleSelector.getValues()`, `GMFToolPackage.getGenericStyleSelector()`
  ** Generated **

### getStandardToolKind

    public EEnum getStandardToolKind()

  Returns the meta object for enum '`Standard Tool Kind`'.

  Returns:
    the meta object for enum 'Standard Tool Kind'.
  See Also:
    `StandardToolKind`
  ** Generated **

### getActionKind

    public EEnum getActionKind()

  Returns the meta object for enum '`Action Kind`'.

  Returns:
    the meta object for enum 'Action Kind'.
  See Also:
    `ActionKind`
  ** Generated **

### getAppearanceStyle

    public EEnum getAppearanceStyle()

  Returns the meta object for enum '`Appearance Style`'.

  Returns:
    the meta object for enum 'Appearance Style'.
  See Also:
    `AppearanceStyle`
  ** Generated **

### getGMFToolFactory

    public GMFToolFactory getGMFToolFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.